import request from "@/utils/request";

export default {
  // 获取公司及其子公司信息
  compAndChildrenInfo(params) {
    return request({
      url: "/baseCompany/query/compAndChildrenInfo",
      method: "get",
      params
    });
  },
  // 修改部门
  changeInfo(data) {
    return request({
      url: "/department/api/changeInfo",
      method: "post",
      data
    });
  },
  // 保存部门
  create(data) {
    return request({
      url: "/department/api/create",
      method: "post",
      data
    });
  },
  // 删除部门
  remove(data) {
    return request({
      url: "/department/api/remove",
      method: "post",
      data
    });
  },
  // 获取岸基权限新增成员页面
  queryRoleSelectData(params) {
    return request.get("/baseRole/query/queryRoleSelectData", {
      params
    });
  },
  // 成员弹窗船舶信息查询
  getVessels(params) {
    return request.get("/baseVessel/query/getVessels", {
      params
    });
  },
  // ------------------------------  权限部分 开始 --------------------------------
  // 获取岸基权限列表一览页
  company(params) {
    return request.get("/baseRole/query/company", {
      params
    });
  },
  // 创建角色
  createRole(data) {
    return request.post("/baseRole/api/create", data);
  },
  // 修改角色
  editRole(data) {
    return request.post("/baseRole/api/changeInfo", data);
  },
  // 删除角色
  delRole(data) {
    return request.post("/baseRole/api/remove", data);
  },
  // 获取插件列表
  getTenantlist(params) {
    return request.get("/tenantPlugin/query/pluginDetails", {
      params: params
    });
  },
  // 绑定资源
  bindResources(data) {
    return request.post("/baseRole/api/bindResources", data);
  },
  // 保存船端角色
  createVesselRole(data) {
    return request.post("/baseRole/api/createVesselRole", data);
  },
  // 通过公司ID获取部门列表
  getDeptPageByCompId(params) {
    return request.get("/department/query/getDeptPageByCompId", {
      params: params
    });
  },
  // 获取角色详情
  getRoleInfo(params) {
    return request.get("/baseRole/query/getRoleInfo", {
      params: params
    });
  }
  // ------------------------------  权限部分 结束 --------------------------------
};
